/*
 * Copyright [2011] [Pettersen Consulting]
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.   
 */
package com.edb.os.xstream.writer;

import com.edb.os.xstream.ClassWriterFactory;

/**
 * The default model class writer. Works on simple bean style classes
 * 
 * @author Oystein Pettersen
 */
public class DefaultClassWriter extends ClassWriter {

    private String paramName;

    public DefaultClassWriter(String name, Class<?> clazz, int depthIndex, int paramNameIndex, ClassWriterFactory classWriterFactory) {
        super(name, clazz, depthIndex, classWriterFactory);

        this.paramName = this.name + paramNameIndex;
    }

    @Override
    protected String paramName() {
        return paramName;
    }
}
