/*
 * Copyright [2011] [Pettersen Consulting]
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.   
 */
package com.edb.os.xstream.writer;

import java.io.Writer;

import com.edb.os.xstream.ClassWriterFactory;

/**
 * Primitive handler
 * 
 * @author Oystein Pettersen
 * 
 */
public class PrimitiveValueWriter extends ClassWriter {

    public PrimitiveValueWriter(String name, Class<?> clazz, int depthIndex, ClassWriterFactory classWriterFactory) {
        super(name, clazz, depthIndex, classWriterFactory);
    }

    @Override
    public void create(Writer writer) {
        // do nothing. Cannot instantiate a primitive
    }

    @Override
    public String getValue() {
        // add L to the end of longs
        if(Long.class.isAssignableFrom(clazz) || long.class.isAssignableFrom(clazz)) {
            return String.format("%sL", value);
        }
        
        return value;
    }
}
