/*
 * Copyright [2011] [Pettersen Consulting]
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.   
 */
package com.edb.os.xstream.writer;

import java.io.Writer;

import com.edb.os.xstream.ClassWriterFactory;

/**
 * String handler
 * 
 * @author Oystein Pettersen
 * 
 */
public class StringValueWriter extends ClassWriter {

    public StringValueWriter(String name, Class<?> clazz, int depthIndex, ClassWriterFactory classWriterFactory) {
        super(name, clazz, depthIndex, classWriterFactory);
    }

    @Override
    public void create(Writer writer) {
        // do nothing. Cannot instantiate a primitive
    }

    @Override
    public String getValue() {
        // ensure that string has no line breaks and that it has "" around it
        return String.format("\"%s\"", value.replaceAll("\\r", "").replaceAll("\\n", ""));
    }
}
